/*
 * НАСТРОЙКА ВЫХОДА В ШИМ С УКАЗАННОЙ ЧАСТОТОЙ:
 * Режимы работы выхода модуля энергонезависимы
 * (сохраняются и после отключения питания).
 */

// Подключаем библиотеку для работы с энкодером I2C-flash.
#include "../iarduino_I2C_Encoder.h"
// Инстанциируем объект, указывая адрес модуля на шине I2C.
iarduino_I2C_Encoder enc(0x09);

int main()
{
	// Инициируем работу с энкодером.
	enc.begin();

	/* Указываем выводу модуля работать как выход с ШИМ на частоте 5 кГц,
	 * коэффициент заполнения которого меняется от 0% до 100%
	 * за 3 полных оборота вала энкодера.
	 */
	enc.setPinOut(ENC_PIN_MODE_PWM, 3, 5000);

	return 0;
}
